=== debian/watch ===
version=3
opts=dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg|repack)(.*)$//i,pasv \
https://www.libarchive.org/downloads/libarchive-(.*)\.tar\.gz
