## libarchive 3.3.3.3

=== debian/changelog ===
libarchive (3.3.3.3-deepin1) unstable; urgency=medium

  * fix CVE-2022-36227

 -- zengwei <zengwei1@uniontech.com>  Tue, 31 Jan 2023 09:42:16 +0800

libarchive (3.3.3.2-deepin1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to buster security version and update version 

 -- Ding Heng <dingheng@uniontech.com>  Tue, 27 Dec 2022 16:31:38 +0800

libarchive (3.3.3-4+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-19221: archive_wstring_append_from_mbs in archive_string.c
    has an out-of-bounds read because of an incorrect mbrtowc or mbtowc
    call. For example, bsdtar crashes via a crafted archive.
    (Closes: #945287)
  * CVE-2021-23177: an improper link resolution flaw while extracting an
    archive can lead to changing the access control list (ACL) of the
    target of the link. An attacker may provide a malicious archive to a
    victim user, who would trigger this flaw when trying to extract the
    archive. A local attacker may use this flaw to change the ACL of a
    file on the system and gain more privileges. (Closes: #1001986)
  * CVE-2021-31566: an improper link resolution flaw can occur while
    extracting an archive leading to changing modes, times, access control
    lists, and flags of a file outside of the archive. An attacker may
    provide a malicious archive to a victim user, who would trigger this
    flaw when trying to extract the archive. A local attacker may use this
    flaw to gain more privileges in a system. (Closes: #1001990)

 -- Sylvain Beucler <beuc@debian.org>  Mon, 21 Nov 2022 16:48:59 +0100
