=== debian/changelog ===
libarchive (3.4.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add back e2fslibs-dev as alternative BD.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 May 2020 12:49:03 -0700

libarchive (3.4.0-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Add the CVE-2020-9308 patch - invalid RAR5 headers. (Closes: #951759)
  * Make the autopkgtests cross-test-friendly. (Closes: #953140)

 -- Peter Pentchev <roam@debian.org>  Sat, 07 Mar 2020 16:28:00 +0200

libarchive (3.4.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.4.0 with no changes.
  * Mark the adequate test as superficial and give it a name.
  * Update the watch file a bit:
    - use the version 4 format placeholders
    - drop the "pasv" option, no FTP upstream sites
    - add the upstream signing key
  * Run all available Salsa CI jobs.
  * Drop the bsdtar and bsdcpio transitional packages.
    Closes: #940745, #940753
  * New upstream version:
    - drop all the patches obtained from the upstream Git repository
      (CVE-2018-1000877, CVE-2018-1000878, CVE-2018-1000879,
       CVE-2018-1000880, CVE-2019-1000019, CVE-2019-1000020, and
       zip-nullptr)
    - update the library symbols file
  * Add some bugfix patches obtained from upstream.
  * Add the typos patch to correct some typographical and grammatical
    errors.
  * Update the upstream copyright information.

 -- Peter Pentchev <roam@debian.org>  Sat, 21 Sep 2019 01:44:44 +0300
