=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libarchive
 Priority: optional
-Maintainer: Peter Pentchev <roam@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends: debhelper-compat (= 12),
                pkg-config,
                libbz2-dev,
@@ -10,13 +11,13 @@
                libzstd-dev,
                zlib1g-dev,
                libacl1-dev [!hurd-any],
-               libext2fs-dev,
+               libext2fs-dev | e2fslibs-dev,
                libattr1-dev,
                sharutils,
                nettle-dev,
                liblzo2-dev,
                locales | locales-all
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.libarchive.org/
 Vcs-Browser: https://salsa.debian.org/debian/libarchive
@@ -129,27 +130,3 @@
  and uses the libarchive library to decompresses it to its standard output.
  It may be used for viewing the contents of archives or for passing it to other
  tools for further processing.
-
-Package: bsdtar
-Architecture: all
-Depends: libarchive-tools (>= ${source:Version}), ${misc:Depends}
-Section: oldlibs
-Description: transitional dummy package for moving bsdtar to libarchive-tools
- The bsdtar program is the default system 'tar' program used on FreeBSD. bsdtar
- uses the libarchive library as a backend which does all of the work for reading
- and writing archives in various formats.
- .
- This is a transitional package for the migration of the bsdtar tool to
- the libarchive-tools package.
-
-Package: bsdcpio
-Architecture: all
-Depends: libarchive-tools (>= ${source:Version}), ${misc:Depends}
-Section: oldlibs
-Description: transitional dummy package for moving bsdcpio to libarchive-tools
- The bsdcpio program is the default system 'cpio' program used on FreeBSD.
- bsdcpio uses the libarchive library as a backend which does all of the work for
- reading and writing archives in various formats.
- .
- This is a transitional package for the migration of the bsdcpio tool to
- the libarchive-tools package.
