=== debian/rules ===
--- 
+++ 
@@ -51,3 +51,6 @@
 	set -e; for p in $$(dh_listpackages); do \
 		install -m 644 NEWS debian/$$p/usr/share/doc/$$p/; \
 	done
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
