=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libarchive
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
                libbz2-dev,
                liblz4-dev,
@@ -11,12 +11,11 @@
                libzstd-dev,
                zlib1g-dev,
                libacl1-dev [!hurd-any],
-               libext2fs-dev | e2fslibs-dev,
+               libext2fs-dev,
                libattr1-dev,
                sharutils,
                nettle-dev,
-               liblzo2-dev,
-               locales | locales-all
+               locales <!nocheck> | locales-all <!nocheck>
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.libarchive.org/
