=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,11 @@
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
 export DEB_BUILD_MAINT_OPTIONS
 
-DEB_LDFLAGS_MAINT_APPEND=	-Wl,--as-needed
-export DEB_LDFLAGS_MAINT_APPEND
-
-.PHONY: build
-
 %:
 	dh $@
 
-build:
-	dh $@
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- --without-openssl --with-nettle \
@@ -26,12 +21,8 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_install:
+execute_before_dh_install:
 	find debian -name '*.la' -delete
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_auto_test:
 ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
@@ -46,11 +37,7 @@
 endif
 endif
 
-override_dh_installchangelogs:
-	dh_installchangelogs
+execute_after_dh_installchangelogs:
 	set -e; for p in $$(dh_listpackages); do \
 		install -m 644 NEWS debian/$$p/usr/share/doc/$$p/; \
 	done
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
