=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- --without-openssl --with-nettle \
@@ -25,7 +22,7 @@
 	find debian -name '*.la' -delete
 
 override_dh_auto_test:
-ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 ifneq (,$(shell locale -a | grep en_US.utf8))
 	_VERBOSITY_LEVEL=1 dh_auto_test --parallel
 else
